# ComponentWithObjectFiles

interface ComponentWithObjectFiles : ComponentWithNativeRuntime

Represents a component that produces object files.

#### Since

4.5

#### Inheritors

SwiftBinary
CppBinary

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): Provider<String>
getName
Link copied to clipboard
abstract fun getName(): String
getObjects
Link copied to clipboard
abstract fun getObjects(): FileCollection
Returns the object files created for this component.
getTargetMachine
Link copied to clipboard
abstract fun getTargetMachine(): TargetMachine
getToolChain
Link copied to clipboard
abstract fun getToolChain(): NativeToolChain
isDebuggable
Link copied to clipboard
abstract fun isDebuggable(): Boolean
isOptimized
Link copied to clipboard
abstract fun isOptimized(): Boolean